Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.ra
Class JmsSessionFactoryImpl

    java.lang.Object
      |
      +--org.jboss.jms.ra.JmsSessionFactoryImpl

All Implemented Interfaces:
  javax.jms.Connection, JmsSessionFactory, javax.jms.QueueConnection, javax.naming.Referenceable, javax.resource.Referenceable, java.io.Serializable, javax.jms.TopicConnection

public class JmsSessionFactoryImpl
extends java.lang.Object
implements JmsSessionFactory, java.io.Serializable, javax.resource.Referenceable

Implements the JMS Connection API and produces `JmsSession` objects.

Created: Thu Mar 29 15:36:51 2001

Version:
  $Revision: 1.1.4.2 $
Author:
  Peter Antman.
See Also:
  Serialized Form

Constructor Summary
`JmsSessionFactoryImpl(javax.resource.spi.ManagedConnectionFactory mcf, javax.resource.spi.ConnectionManager cm)`

Method Summary
`void` | `close()`
`javax.jms.ConnectionConsumer` | `createConnectionConsumer(javax.jms.Queue queue, java.lang.String messageSelector, javax.jms.ServerSessionPool sessionPool, int maxMessages)`
`javax.jms.ConnectionConsumer` | `createConnectionConsumer(javax.jms.Topic topic, java.lang.String messageSelector, javax.jms.ServerSessionPool sessionPool, int maxMessages)`
`javax.jms.ConnectionConsumer` | `createDurableConnectionConsumer(javax.jms.Topic topic, java.lang.String subscriptionName, java.lang.String messageSelector, javax.jms.ServerSessionPool sessionPool, int maxMessages)`
`javax.jms.QueueSession` | `createQueueSession(boolean transacted, int acknowledgeMode)`
`javax.jms.TopicSession` | `createTopicSession(boolean transacted, int acknowledgeMode)`
`java.lang.String` | `getClientID()`
`javax.jms.ExceptionListener` | `getExceptionListener()`
`javax.jms.ConnectionMetaData` | `getMetaData()`
`javax.naming.Reference` | `getReference()`
`void` | `isTopic(java.lang.Boolean isTopic)`
`void` | `setClientID(java.lang.String cID)`
`void` | `setExceptionListener(javax.jms.ExceptionListener listener)`
`void` | `setPassword(java.lang.String password)`
`void` | `setReference(javax.naming.Reference reference)`
`void` | `setUserName(java.lang.String name)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsSessionFactoryImpl

    public JmsSessionFactoryImpl(javax.resource.spi.ManagedConnectionFactory mcf,
                                 javax.resource.spi.ConnectionManager cm)

Method Detail

### setReference

    public void setReference(javax.naming.Reference reference)

  Specified by:
    `setReference` in interface `javax.resource.Referenceable`

### getReference

    public javax.naming.Reference getReference()

  Specified by:
    `getReference` in interface `javax.naming.Referenceable`

### setUserName

    public void setUserName(java.lang.String name)

### setPassword

    public void setPassword(java.lang.String password)

### isTopic

    public void isTopic(java.lang.Boolean isTopic)

### createQueueSession

    public javax.jms.QueueSession createQueueSession(boolean transacted,
                                                     int acknowledgeMode)
                                              throws javax.jms.JMSException

  Specified by:
    `createQueueSession` in interface `javax.jms.QueueConnection`

### createConnectionConsumer

    public javax.jms.ConnectionConsumer createConnectionConsumer(javax.jms.Queue queue,
                                                                 java.lang.String messageSelector,
                                                                 javax.jms.ServerSessionPool sessionPool,
                                                                 int maxMessages)
                                                          throws javax.jms.JMSException

  Specified by:
    `createConnectionConsumer` in interface `javax.jms.QueueConnection`

### createTopicSession

    public javax.jms.TopicSession createTopicSession(boolean transacted,
                                                     int acknowledgeMode)
                                              throws javax.jms.JMSException

  Specified by:
    `createTopicSession` in interface `javax.jms.TopicConnection`

### createConnectionConsumer

    public javax.jms.ConnectionConsumer createConnectionConsumer(javax.jms.Topic topic,
                                                                 java.lang.String messageSelector,
                                                                 javax.jms.ServerSessionPool sessionPool,
                                                                 int maxMessages)
                                                          throws javax.jms.JMSException

  Specified by:
    `createConnectionConsumer` in interface `javax.jms.TopicConnection`

### createDurableConnectionConsumer

    public javax.jms.ConnectionConsumer createDurableConnectionConsumer(javax.jms.Topic topic,
                                                                        java.lang.String subscriptionName,
                                                                        java.lang.String messageSelector,
                                                                        javax.jms.ServerSessionPool sessionPool,
                                                                        int maxMessages)
                                                                 throws javax.jms.JMSException

  Specified by:
    `createDurableConnectionConsumer` in interface `javax.jms.TopicConnection`

### getClientID

    public java.lang.String getClientID()
                                 throws javax.jms.JMSException

  Specified by:
    `getClientID` in interface `javax.jms.Connection`

### setClientID

    public void setClientID(java.lang.String cID)
                     throws javax.jms.JMSException

  Specified by:
    `setClientID` in interface `javax.jms.Connection`

### getMetaData

    public javax.jms.ConnectionMetaData getMetaData()
                                             throws javax.jms.JMSException

  Specified by:
    `getMetaData` in interface `javax.jms.Connection`

### getExceptionListener

    public javax.jms.ExceptionListener getExceptionListener()
                                                     throws javax.jms.JMSException

  Specified by:
    `getExceptionListener` in interface `javax.jms.Connection`

### setExceptionListener

    public void setExceptionListener(javax.jms.ExceptionListener listener)
                              throws javax.jms.JMSException

  Specified by:
    `setExceptionListener` in interface `javax.jms.Connection`

### start

    public void start()
               throws javax.jms.JMSException

  Specified by:
    `start` in interface `javax.jms.Connection`

### stop

    public void stop()
              throws javax.jms.JMSException

  Specified by:
    `stop` in interface `javax.jms.Connection`

### close

    public void close()
               throws javax.jms.JMSException

  Specified by:
    `close` in interface `javax.jms.Connection`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.